%define plugin	freecell
%define rel	32

Summary:	VDR plugin: The well-known card game
Name:		vdr-plugin-%plugin
Version:	0.0.2
Release:	%mkrel %rel
Group:		Video/Utilities
License:	GPL+
URL:		http://linux.kompiliert.net/index.php?view=freecell
Source:		http://www.magoa.net/linux/files/vdr-%plugin-%version.tar.bz2
Patch0:		vdr-cardgames-0.0.2-to-gcc3.4.diff
Patch1:		vdr-freecell-0.0.2-time.patch
Patch2:		93_freecell-0.0.2-1.5.4.dpatch
Patch3:		freecell-0.0.2-i18n-1.6.patch
BuildRequires:	vdr-devel >= 1.6.0
Requires:	vdr-abi = %vdr_abi

%description
This Freecell plugin is an implementation of the (well-known) card game
"Freecell" played on the On Screen Display of your Video Disk Recorder.

%prep
%setup -q -n %plugin-%version
%patch0 -p1 -b .gcc34
%patch1 -p1 -b .time
%patch2 -p1
%patch3 -p1
%vdr_plugin_prep

%build
%vdr_plugin_build

%install

%vdr_plugin_install

install -d -m755 %{buildroot}%{_vdr_plugin_datadir}/%{plugin}
install -d -m755 %{buildroot}%{_vdr_plugin_cfgdir}
install -m644 freecell/* %{buildroot}%{_vdr_plugin_datadir}/%{plugin}
ln -s %{_vdr_plugin_datadir}/%{plugin} 	%{buildroot}%{_vdr_plugin_cfgdir}/freecell

%files -f %plugin.vdr
%doc README COPYING HISTORY CONTRIBUTORS
%{_vdr_plugin_cfgdir}/freecell
%{_vdr_plugin_datadir}/%{plugin}


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 0.0.2-32.mga6
+ Revision: 951642
- Mageia 6 Mass Rebuild

* Mon Jan 05 2015 anssi <anssi> 0.0.2-31.mga5
+ Revision: 808488
- rebuild with new vdr-devel with cauldron-compatible macros

* Mon Jan 05 2015 anssi <anssi> 0.0.2-30.mga5
+ Revision: 808457
- rebuild for new VDR

* Mon Nov 24 2014 anssi <anssi> 0.0.2-29.mga5
+ Revision: 798669
- rebuild for new VDR

* Wed Oct 15 2014 umeabot <umeabot> 0.0.2-28.mga5
+ Revision: 743771
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.2-27.mga5
+ Revision: 690149
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.0.2-26.mga4
+ Revision: 544781
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 0.0.2-25.mga4
+ Revision: 500237
- rebuild for new VDR

* Mon Jan 14 2013 umeabot <umeabot> 0.0.2-24.mga3
+ Revision: 385266
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 malo <malo> 0.0.2-23.mga3
+ Revision: 325504
- spec clean-up
- update RPM group

* Wed Mar 07 2012 anssi <anssi> 0.0.2-22.mga2
+ Revision: 221043
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 0.0.2-21.mga2
+ Revision: 214791
- rebuild for VDR 1.7.23
- update URL

* Sat May 14 2011 anssi <anssi> 0.0.2-20.mga1
+ Revision: 98384
- remove old scriplets
- imported package vdr-plugin-freecell


* Tue Jul 28 2009 Anssi Hannula <anssi@mandriva.org> 0.0.2-19mdv2010.0
+ Revision: 401088
- rebuild for new VDR

* Fri Mar 20 2009 Anssi Hannula <anssi@mandriva.org> 0.0.2-18mdv2009.1
+ Revision: 359321
- rebuild for new vdr

* Mon Apr 28 2008 Anssi Hannula <anssi@mandriva.org> 0.0.2-17mdv2009.0
+ Revision: 197933
- rebuild for new vdr

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 0.0.2-16mdv2009.0
+ Revision: 197675
- add vdr_plugin_prep
- bump buildrequires on vdr-devel
- adapt to gettext i18n of VDR 1.6 (semi-automatic patch)
- adapt for api changes of VDR 1.5.4 (P2 from e-tobi)
- apply new license policy

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.0.2-15mdv2008.1
+ Revision: 145099
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2-14mdv2008.1
+ Revision: 103114
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2-13mdv2008.0
+ Revision: 50004
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2-12mdv2008.0
+ Revision: 42090
- rebuild for new vdr

* Tue May 15 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2-11mdv2008.0
+ Revision: 27092
- rebuild

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2-10mdv2008.0
+ Revision: 22681
- rebuild for new vdr


* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-9mdv2007.0
+ Revision: 90927
- rebuild for new vdr

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-8mdv2007.1
+ Revision: 74018
- rebuild for new vdr
- Import vdr-plugin-freecell

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-7mdv2007.0
- rebuild for new vdr

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-6mdv2007.0
- stricter abi requires

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-5mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-4mdv2007.0
- rebuild for new vdr

* Tue Jun 20 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-3mdv2007.0
- use _ prefix for system path macros

* Mon Jun 05 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-2mdv2007.0
- rebuild for new vdr

* Thu Jun 01 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-1mdv2007.0
- initial Mandriva release

